package org.jasig.cas.client;

/**
 * @Description 协议
 * @Date 2024/9/24 1:04
 * @Created by Heyuan
 */
public enum Protocol {
    CAS1("ticket", "service"),
    CAS2(CAS1),
    CAS3(CAS2),
    SAML11("SAMLart", "TARGET"),
    ZY("code", "redirect_uri");//竹云

    private final String artifactParameterName;//身份认证参数名
    private final String serviceParameterName;//重定向地址参数名

    private Protocol(String artifactParameterName, String serviceParameterName) {
        this.artifactParameterName = artifactParameterName;
        this.serviceParameterName = serviceParameterName;
    }

    private Protocol(Protocol protocol) {
        this(protocol.getArtifactParameterName(), protocol.getServiceParameterName());
    }

    public String getArtifactParameterName() {
        return this.artifactParameterName;
    }

    public String getServiceParameterName() {
        return this.serviceParameterName;
    }
}
